## lmdbxx 0.9.14.1+git20160228.0b43ca8

=== debian/changelog ===
lmdbxx (0.9.14.1+git20160228.0b43ca8-1) unstable; urgency=medium

  * Initial release (Closes: #872401)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 10 Sep 2017 13:00:10 -0400
