=== debian/control ===
Source: lmdbxx
Section: libdevel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>=9), doxygen, liblmdb-dev, pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/bendiken/lmdbxx
Vcs-Git: git://anonscm.debian.org/collab-maint/lmdbxx.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lmdbxx.git

Package: liblmdb++-dev
Architecture: any
Depends: liblmdb-dev, ${shlibs:Depends}, ${misc:Depends}
Description: C++ wrapper for LMDB
 This is a comprehensive C++ wrapper for the LMDB embedded database library,
 offering both an error-checked procedural interface and an object-oriented
 resource interface with RAII semantics.
