## lmdbxx 0.9.14.1+git20160229.0b43ca8

=== debian/changelog ===
lmdbxx (0.9.14.1+git20160229.0b43ca8-1) unstable; urgency=medium

  * Team upload.
  * Move packaging from Alioth collab-maint to Salsa debian/
  * Project was moved on Github
  * Add watch file (this version is identical to the previous one -
    just the date has changed and watch file returns one day later)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add debian/upstream/metadata
  * Fix clean target
    Closes: #1047094

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jun 2025 06:23:53 +0200
