=== debian/control ===
Source: lmdbxx
Section: libdevel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper-compat (= 13), doxygen, liblmdb-dev, pandoc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/lmdbxx
Vcs-Git: https://salsa.debian.org/debian/lmdbxx.git
Homepage: https://github.com/drycpp/lmdbxx

Package: liblmdb++-dev
Architecture: any
Depends: liblmdb-dev, ${shlibs:Depends}, ${misc:Depends}
Description: C++ wrapper for LMDB
 This is a comprehensive C++ wrapper for the LMDB embedded database library,
 offering both an error-checked procedural interface and an object-oriented
 resource interface with RAII semantics.
