=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,11 @@
 
 
 %:
-	dh $@ 
+	dh $@
+
+override_dh_clean:
+	dh_clean
+	rm -rf .doxygen
 
 override_dh_auto_build:
 	dh_auto_build -- doxygen
