=== debian/watch ===
version=4

opts="mode=git,pretty=0.9.14.1+git%cd.%h" \
    https://github.com/drycpp/lmdbxx.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#  https://github.com/drycpp/lmdbxx/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
